stri_info {stringi} | R Documentation

## Query Default Settings for stringi

### Description

Presents current default settings used by the ICU library.

### Usage

    stri_info(short = FALSE)

### Arguments

`short` | logical; whether or not the results should be given in a concise form; defaults to `TRUE`

### Value

If `short=TRUE`, then a single string containing information on default character encoding, locale, and Unicode as well as ICU version is returned.

Otherwise, you a list with the following components is returned:

- `Unicode.version` – version of Unicode supported by the ICU library;

- `ICU.version` – ICU library version used;

- `Locale` – contains information on default locale, as returned by `stri_locale_info`;

- `Charset.internal` – always `c("UTF-8", "UTF-16")`;

- `Charset.native` – information on default encoding, as returned by `stri_enc_info`;

- `ICU.system` – logical; indicates whether system ICU libs are used (`TRUE`) or if ICU was built together with stringi.

[Package stringi version 1.2.4 Index]